
mutation createTeamHudDepartment(
  $name: String!
  $costCenter: String
  $teamHubId: UUID!
) @auth(level: USER) {
  teamHudDepartment_insert(
    data: {
      name: $name
      costCenter: $costCenter
      teamHubId: $teamHubId
    }
  )
}

mutation updateTeamHudDepartment(
  $id: UUID!

  $name: String
  $costCenter: String
  $teamHubId: UUID
) @auth(level: USER) {
  teamHudDepartment_update(
    id: $id
    data: {
      name: $name
      costCenter: $costCenter
      teamHubId: $teamHubId
    }
  )
}

mutation deleteTeamHudDepartment($id: UUID!) @auth(level: USER) {
  teamHudDepartment_delete(id: $id)
}
